Package org.h2.dev.util

# Class FileContentHash

java.lang.Object
org.h2.dev.util.FileContentHash

public class FileContentHash extends Object
A utility to calculate the content hash of files. It should help detect duplicate files and differences between directories.

## Constructor Summary

Constructors
Constructor
Description
`FileContentHash()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
Run the viewer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileContentHash

public FileContentHash()

## Method Details

### main

public static void main(String... args) throws IOException
Run the viewer.

Parameters:
  `args` - the command line arguments
Throws:
  `IOException`